Bug 1117600 (CVE-2014-4348)

Summary: CVE-2014-4348 phpMyAdmin: Self-XSS due to unescaped HTML output in recent/favorite tables navigation
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ccoleman, dmcphers, jialiu, jokerman, jrusnack, kseifried, lmeyer, mmccomas, mmcgrath, redhat-bugzilla
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140620,reported=20140708,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/phpMyAdmin=affected,epel-5/phpMyAdmin=affected,epel-6/phpMyAdmin=affected,openshift-1/phpMyAdmin=affected,cwe=CWE-79
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-19 02:00:34 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1117602, 1117603, 1117604, 1117605    
Bug Blocks:    

Description Kurt Seifried 2014-07-08 23:53:56 EDT
The phpMyAdmin project reports:

Summary

Self-XSS due to unescaped HTML output in recent/favorite tables navigation.

Description

When marking a crafted database or table name as favorite or having it in recent tables, it is possible to trigger an XSS.

External references:
http://www.phpmyadmin.net/home_page/security/PMASA-2014-2.php
Comment 1 Kurt Seifried 2014-07-08 23:57:41 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: epel-5 [bug 1117602]
Comment 2 Kurt Seifried 2014-07-08 23:58:01 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: epel-6 [bug 1117603]
Comment 3 Kurt Seifried 2014-07-09 00:00:05 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1117604]
Comment 5 Fedora Update System 2014-07-30 03:01:14 EDT
phpMyAdmin-4.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-07-30 03:02:37 EDT
phpMyAdmin-4.2.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-08-07 07:46:13 EDT
phpMyAdmin-4.0.10.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-10-09 15:55:13 EDT
phpMyAdmin4-4.0.10.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Kurt Seifried 2014-11-19 02:00:34 EST
OpenShift currently ships phpMyAdmin-4.0.10.5 which fixes PMASA-2014-12 and all earlier issues.

http://www.phpmyadmin.net/home_page/security/